## CamelStoreSettings

CamelStoreSettings

## Synopsis

    struct              CamelStoreSettings;
    gboolean            camel_store_settings_get_filter_inbox
                                                            (CamelStoreSettings *settings);
    void                camel_store_settings_set_filter_inbox
                                                            (CamelStoreSettings *settings,
                                                             gboolean filter_inbox);

## Object Hierarchy

      GObject
       +----CamelSettings
             +----CamelStoreSettings
                   +----CamelOfflineSettings

## Properties

      "filter-inbox"             gboolean              : Read / Write / Construct

## Description

## Details

### struct CamelStoreSettings

    struct CamelStoreSettings;

### camel_store_settings_get_filter_inbox ()

    gboolean            camel_store_settings_get_filter_inbox
                                                            (CamelStoreSettings *settings);

Returns whether to automatically apply filters to newly arrived messages in the store's Inbox folder (assuming it has an Inbox folder).

`settings` : | a CamelStoreSettings
Returns : | whether to filter new messages in Inbox

Since 3.2

### camel_store_settings_set_filter_inbox ()

    void                camel_store_settings_set_filter_inbox
                                                            (CamelStoreSettings *settings,
                                                             gboolean filter_inbox);

Sets whether to automatically apply filters to newly arrived messages in the store's Inbox folder (assuming it has an Inbox folder).

`settings` : | a CamelStoreSettings
`filter_inbox` : | whether to filter new messages in Inbox

Since 3.2

## Property Details

### The `"filter-inbox"` property

      "filter-inbox"             gboolean              : Read / Write / Construct

Whether to filter new messages in Inbox.

Default value: FALSE